Skip to content

upsertPurchaseOrderDelivery

WRITE

Upsert purchase order delivery.

POST /api/v1/purchasing/upsertPurchaseOrderDelivery
curl -X POST '<your-host>/api/v1/purchasing/upsertPurchaseOrderDelivery' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string",
    "trackingNumber": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
"EXW""FCA""FAS""FOB""CPT""CIP""CFR""CIF""DAP""DPU""DDP"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "locationId": {
      "type": "string"
    },
    "shippingMethodId": {
      "type": "string"
    },
    "trackingNumber": {
      "type": "string"
    },
    "deliveryDate": {
      "type": "string"
    },
    "receiptRequestedDate": {
      "type": "string"
    },
    "receiptPromisedDate": {
      "type": "string"
    },
    "dropShipment": {
      "type": "boolean"
    },
    "customerId": {
      "type": "string"
    },
    "customerLocationId": {
      "type": "string"
    },
    "supplierShippingCost": {
      "type": "number"
    },
    "notes": {
      "type": "string"
    },
    "incoterm": {
      "type": "string",
      "enum": [
        "EXW",
        "FCA",
        "FAS",
        "FOB",
        "CPT",
        "CIP",
        "CFR",
        "CIF",
        "DAP",
        "DPU",
        "DDP"
      ]
    },
    "incotermLocation": {
      "type": "string"
    },
    "customFields": {}
  },
  "required": [
    "id",
    "trackingNumber"
  ]
}